import { Store } from "../index";
import * as React from "react";
export declare type AttachParts = (store: Store | null) => any;
/**
 * Attaches parts of the store to the Component via a mapStoreToProps function. Should return at least an empty
 * Object
 * TODO: Change Component type to React.ComponentClass<any, any> causes errors on getDerivedStateFromProps
 * @param attachParts MapStoreToPros function
 */
declare function AttachPartsOfStore<Props>(attachParts: AttachParts): (Component: any) => (props: Props) => React.ReactElement<Props> | null;
export { AttachPartsOfStore };
