import * as React from "react";
import { StoreConsumer } from "./Provider";
export { AttachStore };
/**
 * Attaches the full store to the passed Compoment
 * TODO: Change Component type to React.ComponentClass<any, any> causes errors on getDerivedStateFromProps
 * @param Component React Component to attach
 */
function AttachStore(Component) {
    // Since the Components should have props that are not added via this function
    // We have to use any as generic in this sfc.
    const AttachedStore = (props) => {
        return (React.createElement(StoreConsumer, null, (store) => {
            return React.createElement(Component, Object.assign({}, props, { store: store }));
        }));
    };
    return AttachedStore;
}
//# sourceMappingURL=AttachStore.js.map