import * as React from "react";
import { PartialStore, Store } from "..";
declare const StoreConsumer: React.ExoticComponent<React.ConsumerProps<{}>>;
interface Props {
    value: Store;
}
interface State {
    store: Store;
}
declare class StoreProvider extends React.Component<Props, State> {
    constructor(props: Props);
    /**
     * This one is pretty awesome. We execute the original function of the partial store, get the result and
     * throw it into setInternalState to trigger state update. With this approach, it's easy to implement custom functions
     * that do stuff and update the global store
     * @param storeName Object key of the partial store
     * @param func Origin function
     * @param args Arguments passed to the origin function
     */
    mapExternalFunctionToStore(storeName: string, func: Function, ...args: any[]): any;
    /**
     * Update the content of the partial store matching the given storeName and setState of this component
     * @param storeName Object key of the partial store
     * @param newValues New values of the partial store
     * @param callback Callback after setState of react
     */
    setInternalState(storeName: string, newValues: Partial<PartialStore>, callback?: () => void): void;
    render(): JSX.Element;
}
export { StoreProvider, StoreConsumer };
